Listar um registro histórico de voz

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://api-docs.neppo.com.br/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "Neppo API MCP server": {
    "url": "https://api-docs.neppo.com.br/mcp"
  }
}

Close
POST /chatapi/1.0/api/v2/call-log-hist

De acordo com o filtro informado, esta requisição retorna informações dos dados históricos do canal de voz em um atendimento.

application/json

Body Required

pageRequest

  • conditions array[object] Required
    Hide conditions attributes Show conditions attributes object
    • key string
    • value string
    • operator string

      Values are EQ, EQNUM, NEQ, NEQNUM, IS_FALSE, IS_TRUE, LIKE, NOT_LIKE, IN, NOT_IN, IS_NULL, NOT_NULL, BEFORE, or AFTER.

    • logic string

      Values are AND or OR.

    • or array[object]
    • and array[object]
    • conditions array[object]
  • direction string

    Values are ASC or DESC.

  • page integer(int32)
  • sort boolean Required
  • sortColumn string
  • size integer(int32)

Responses

  • 200 application/json

    OK

    Hide response attributes Show response attributes object
    • page integer(int32) Required
    • results array[object]
      Hide results attributes Show results attributes object
      • callId string
      • callerId string
      • callerType string
      • createdAt string(date-time)
      • createdBy string
      • eventDate string(date-time)
      • eventType string
      • groupConfId integer(int64)
      • id integer(int64)
      • origCallId string
      • origin string
      • updatedAt string(date-time)
      • updatedBy string
    • size integer(int32)
  • 201

    Created

  • 401

    Unauthorized

  • 403

    Forbidden

  • 404

    Not Found

POST /chatapi/1.0/api/v2/call-log-hist
curl \
 --request POST 'https://api.neppo.com.br/chatapi/1.0/api/v2/call-log-hist' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "Content-Type: application/json" \
 --data '{"conditions":[{"key":"string","value":"string","operator":"EQ","logic":"AND","or":[{}],"and":[{}],"conditions":[{}]}],"direction":"ASC","page":42,"sort":true,"sortColumn":"string","size":42}'
Request examples
{
  "conditions": [
    {
      "key": "string",
      "value": "string",
      "operator": "EQ",
      "logic": "AND",
      "or": [
        {}
      ],
      "and": [
        {}
      ],
      "conditions": [
        {}
      ]
    }
  ],
  "direction": "ASC",
  "page": 42,
  "sort": true,
  "sortColumn": "string",
  "size": 42
}
Response examples (200)
{
  "page": 42,
  "results": [
    {
      "callId": "string",
      "callerId": "string",
      "callerType": "string",
      "createdAt": "2026-05-04T09:42:00Z",
      "createdBy": "string",
      "eventDate": "2026-05-04T09:42:00Z",
      "eventType": "string",
      "groupConfId": 42,
      "id": 42,
      "origCallId": "string",
      "origin": "string",
      "updatedAt": "2026-05-04T09:42:00Z",
      "updatedBy": "string"
    }
  ],
  "size": 42
}